lwIP 2.1.0 Lightweight IP stack

Data Fields
snmp_node_instance Struct Reference

`#include <snmp_core.h>`

## Data Fields
const struct snmp_node * | node
struct snmp_obj_id | instance_oid
u8_t | asn1_type
snmp_access_t | access
node_instance_get_value_method | get_value
node_instance_set_test_method | set_test
node_instance_set_value_method | set_value
node_instance_release_method | release_instance
union snmp_variant_value | reference
u32_t | reference_len

## Detailed Description

SNMP node instance

## Field Documentation

## ◆ access

snmp_access_t snmp_node_instance::access

one out of instance access types defined above (SNMP_NODE_INSTANCE_READ_ONLY,...)

## ◆ asn1_type

u8_t snmp_node_instance::asn1_type

ASN type for this object (see snmp_asn1.h for definitions)

## ◆ get_value

node_instance_get_value_method snmp_node_instance::get_value

returns object value for the given object identifier. Return values <0 to indicate an error

## ◆ instance_oid

struct snmp_obj_id snmp_node_instance::instance_oid

prefilled with the instance id requested; for get_instance() this is the exact oid requested; for get_next_instance() this is the relative starting point, stack expects relative oid of next node here

## ◆ node

const struct snmp_node* snmp_node_instance::node

prefilled with the node, get_instance() is called on; may be changed by user to any value to pass an arbitrary node between calls to get_instance() and get_value/test_value/set_value

## ◆ reference

union snmp_variant_value snmp_node_instance::reference

reference to pass arbitrary value between calls to get_instance() and get_value/test_value/set_value

## ◆ reference_len

u32_t snmp_node_instance::reference_len

see reference (if reference is a pointer, the length of underlying data may be stored here or anything else)

## ◆ release_instance

node_instance_release_method snmp_node_instance::release_instance

called in any case when the instance is not required anymore by stack (useful for freeing memory allocated in get_instance/get_next_instance methods)

## ◆ set_test

node_instance_set_test_method snmp_node_instance::set_test

tests length and/or range BEFORE setting

## ◆ set_value

node_instance_set_value_method snmp_node_instance::set_value

sets object value, only called when set_test() was successful

The documentation for this struct was generated from the following file:

- src/include/lwip/apps/snmp_core.h